package com.miaxis.h5.controller.coach;

import java.util.List;
import java.util.Arrays;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.miaxis.coach.dto.CoachAuditDTO;
import com.miaxis.common.constant.Constants;
import com.miaxis.common.core.domain.entity.UserInfo;
import com.miaxis.common.utils.SecurityUtils;
import com.miaxis.wx.domain.WxOrder;
import com.miaxis.wx.service.IWxOrderService;
import com.sun.org.apache.bcel.internal.classfile.Constant;
import io.swagger.annotations.*;
import com.miaxis.common.core.domain.Response;
import org.springframework.beans.BeanUtils;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.ModelAttribute;
import com.miaxis.common.annotation.Log;
import com.miaxis.common.core.controller.BaseController;
import com.miaxis.common.enums.BusinessTypeEnum;
import com.miaxis.common.core.domain.entity.CoachInfo;
import com.miaxis.coach.service.ICoachInfoService;
import com.miaxis.common.utils.poi.ExcelUtil;
import com.miaxis.common.core.page.ResponsePageInfo;

/**
 * 【教练用户】Controller
 *
 * @author miaxis
 * @date 2022-05-10
 */
@RestController
@RequestMapping(Constants.COACH_PREFIX+"/coach/info")
@Api(tags={"【H5-教练用户】"})
public class CoachInfoController extends BaseController{
    @Autowired
    private ICoachInfoService coachInfoService;
    @Autowired
    private IWxOrderService wxOrderService;


//    /**
//     * 查询教练用户列表
//     */
//    @PreAuthorize("@ss.hasPermi('coach:info:list')")
//    @GetMapping("/list")
//    @ApiOperation("查询教练用户列表")
//        @ApiImplicitParams({
//            @ApiImplicitParam(name = "pageNum",value = "当前页码" ,dataType = "int", paramType = "query", required = false),
//            @ApiImplicitParam(name = "pageSize",value = "每页数据量" , dataType = "int", paramType = "query", required = false),
//    })
//    public ResponsePageInfo<CoachInfo> list(@ModelAttribute CoachInfo coachInfo){
//        startPage();
//        List<CoachInfo> list = coachInfoService.selectCoachInfoList(coachInfo);
//        return toResponsePageInfo(list);
//    }

//    /**
//     * 导出教练用户列表
//     */
//    @PreAuthorize("@ss.hasPermi('coach:info:export')")
//    @Log(title = "教练用户", businessType = BusinessTypeEnum.EXPORT)
//    @GetMapping("/export")
//    @ApiOperation("导出教练用户列表Excel")
//    public Response<String> export(@ModelAttribute CoachInfo coachInfo){
//        List<CoachInfo> list = coachInfoService.selectCoachInfoList(coachInfo);
//        ExcelUtil<CoachInfo> util = new ExcelUtil<CoachInfo>(CoachInfo.class);
//        return util.exportExcel(list, "info");
//    }

//    /**
//     * 获取教练用户详细信息
//     */
//    @PreAuthorize("@ss.hasPermi('coach:info:query')")
//    @GetMapping(value = "/{id}")
//    @ApiOperation("获取教练用户详细信息")
//    public Response<CoachInfo> getInfo(
//            @ApiParam(name = "id", value = "教练用户参数", required = true)
//            @PathVariable("id") Long id
//    ){
//        return Response.success(coachInfoService.getById(id));
//    }
////
//    /**
//     * 新增教练用户
//     */
//    @PreAuthorize("@ss.hasPermi('coach:info:add')")
//    @Log(title = "教练用户", businessType = BusinessTypeEnum.INSERT)
//    @PostMapping
//    @ApiOperation("新增教练用户")
//    public Response<Integer> add(@RequestBody CoachInfo coachInfo){
//        return toResponse(coachInfoService.save(coachInfo) ? 1 : 0);
//    }

    /**
     * 修改教练用户
     */
//    @PreAuthorize("@ss.hasPermi('coach:info:edit')")
    @Log(title = "教练用户", businessType = BusinessTypeEnum.UPDATE)
    @PutMapping
    @ApiOperation("修改教练用户")
    public Response<Integer> edit(@RequestBody CoachAuditDTO coachAuditDTO){
        CoachInfo coachInfo= SecurityUtils.getLoginUser().getCoach();
        BeanUtils.copyProperties(coachAuditDTO,coachInfo);
        return toResponse(coachInfoService.updateById(coachInfo) ? 1 : 0);
    }


    @GetMapping("/order/list")
    @ApiOperation("微信订单")
    public Response<List<WxOrder>> wxOrderList(Integer orderStatus){
        CoachInfo coachInfo= SecurityUtils.getLoginUser().getCoach();
        QueryWrapper<WxOrder> wxOrderQueryWrapper = new QueryWrapper<>();
        wxOrderQueryWrapper.eq("coachUnionId",coachInfo.getUnionId());
        if (orderStatus!=null){
            wxOrderQueryWrapper.eq("order_status",orderStatus);
        };
        return Response.success(wxOrderService.list(wxOrderQueryWrapper));
    }

    @GetMapping("/order/{id}")
    @ApiOperation("微信订单详情")
    public Response<WxOrder> wxOrder(
            @ApiParam(name = "id", value = "微信订单id", required = true)
            @PathVariable("id") Long id
    ){
        return Response.success(wxOrderService.getById(id));
    }


//    /**
//     * 删除教练用户
//     */
//    @PreAuthorize("@ss.hasPermi('coach:info:remove')")
//    @Log(title = "教练用户", businessType = BusinessTypeEnum.DELETE)
//	@DeleteMapping("/{ids}")
//    @ApiOperation("删除教练用户")
//    public  Response<Integer> remove(
//            @ApiParam(name = "ids", value = "教练用户ids参数", required = true)
//            @PathVariable Long[] ids
//    ){
//        return toResponse(coachInfoService.removeByIds(Arrays.asList(ids)) ? 1 : 0);
//    }
}
