package com.miaxis.common.core.domain.entity;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 教练用户对象 coach_info
 *
 * @author miaxis
 * @date 2022-05-10
 */
@Data
@TableName("coach_info")
@ApiModel(value = "CoachInfo", description = "教练用户对象 coach_info")
public class CoachInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 手机号码 */
    @Excel(name = "手机号码")
    @TableField("phone")
    @ApiModelProperty(value = "手机号码")
    private String phone;

    /** 微信号码 */
    @Excel(name = "微信号码")
    @TableField("wechar")
    @ApiModelProperty(value = "微信号码")
    private String wechar;

    /** 小程序头像地址 */
    @Excel(name = "小程序头像地址")
    @TableField("head_image")
    @ApiModelProperty(value = "小程序头像地址")
    private String headImage;

    /** 小程序昵称 */
    @Excel(name = "小程序昵称")
    @TableField("nick_name")
    @ApiModelProperty(value = "小程序昵称")
    private String nickName;

    /** 用户真实姓名 */
    @Excel(name = "用户真实姓名")
    @TableField("real_name")
    @ApiModelProperty(value = "用户真实姓名")
    private String realName;

    /** 微信openid */
    @Excel(name = "微信openid")
    @TableField("openid")
    @ApiModelProperty(value = "微信openid")
    private String openid;

    /** 0 启用 1禁用 */
    @Excel(name = "0 启用 1禁用")
    @TableField("status")
    @ApiModelProperty(value = "0 启用 1禁用")
    private Integer status;

    /** 会员过期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "会员过期时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("expire_time")
    @ApiModelProperty(value = "会员过期时间")
    private Date expireTime;

    /** 销售类型0- 普通用户 1-普通用户(含驾校分成) 2- 代理商(不含驾校分成) 3 - 代理商(含驾校分成) */
    @Excel(name = "销售类型0- 普通用户 1-普通用户(含驾校分成) 2- 代理商(不含驾校分成) 3 - 代理商(含驾校分成)")
    @TableField("sale_type")
    @ApiModelProperty(value = "销售类型0- 普通用户 1-普通用户(含驾校分成) 2- 代理商(不含驾校分成) 3 - 代理商(含驾校分成)")
    private Integer saleType;

    /** 城市名称 */
    @Excel(name = "城市名称")
    @TableField("city_name")
    @ApiModelProperty(value = "城市名称")
    private String cityName;

    /** 地区名称 */
    @Excel(name = "地区名称")
    @TableField("area_name")
    @ApiModelProperty(value = "地区名称")
    private String areaName;

    /** 所属驾校名称 */
    @Excel(name = "所属驾校名称")
    @TableField("school_name")
    @ApiModelProperty(value = "所属驾校名称")
    private String schoolName;

    /** 直接收益金额,单位分 */
    @Excel(name = "直接收益金额,单位分")
    @TableField("profit_price")
    @ApiModelProperty(value = "直接收益金额,单位分")
    private Long profitPrice;

    /** 未结算推广积分 */
    @Excel(name = "未结算推广积分")
    @TableField("achievement")
    @ApiModelProperty(value = "未结算推广积分")
    private Long achievement;

    /** 已结算推广积分 */
    @Excel(name = "已结算推广积分")
    @TableField("achievement_settled")
    @ApiModelProperty(value = "已结算推广积分")
    private Long achievementSettled;

    /** unionid */
    @Excel(name = "unionid")
    @TableField("union_id")
    @ApiModelProperty(value = "unionid")
    private String unionId;

    /** 小程序openid */
    @Excel(name = "小程序openid")
    @TableField("xcx_openid")
    @ApiModelProperty(value = "小程序openid")
    private String xcxOpenid;

    /** 小程序openid */
    @Excel(name = "身份证")
    @TableField("id_card")
    @ApiModelProperty(value = "身份证")
    private String idCard;


    @Excel(name = "审核状态 0-未提交审核 1-审核中 2-审核通过 3-审核驳回")
    @TableField("audit_status")
    @ApiModelProperty(value = "审核状态 0-未提交审核 1-审核中 2-审核通过 3-审核驳回")
    private Integer auditStatus;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setPhone(String phone){
        this.phone = phone;
    }

    public String getPhone(){
        return phone;
    }
    public void setWechar(String wechar){
        this.wechar = wechar;
    }

    public String getWechar(){
        return wechar;
    }
    public void setHeadImage(String headImage){
        this.headImage = headImage;
    }

    public String getHeadImage(){
        return headImage;
    }
    public void setNickName(String nickName){
        this.nickName = nickName;
    }

    public String getNickName(){
        return nickName;
    }
    public void setRealName(String realName){
        this.realName = realName;
    }

    public String getRealName(){
        return realName;
    }
    public void setOpenid(String openid){
        this.openid = openid;
    }

    public String getOpenid(){
        return openid;
    }
    public void setStatus(Integer status){
        this.status = status;
    }

    public Integer getStatus(){
        return status;
    }
    public void setExpireTime(Date expireTime){
        this.expireTime = expireTime;
    }

    public Date getExpireTime(){
        return expireTime;
    }
    public void setSaleType(Integer saleType){
        this.saleType = saleType;
    }

    public Integer getSaleType(){
        return saleType;
    }
    public void setCityName(String cityName){
        this.cityName = cityName;
    }

    public String getCityName(){
        return cityName;
    }
    public void setAreaName(String areaName){
        this.areaName = areaName;
    }

    public String getAreaName(){
        return areaName;
    }
    public void setSchoolName(String schoolName){
        this.schoolName = schoolName;
    }

    public String getSchoolName(){
        return schoolName;
    }
    public void setProfitPrice(Long profitPrice){
        this.profitPrice = profitPrice;
    }

    public Long getProfitPrice(){
        return profitPrice;
    }
    public void setAchievement(Long achievement){
        this.achievement = achievement;
    }

    public Long getAchievement(){
        return achievement;
    }
    public void setAchievementSettled(Long achievementSettled){
        this.achievementSettled = achievementSettled;
    }

    public Long getAchievementSettled(){
        return achievementSettled;
    }
    public void setUnionId(String unionId){
        this.unionId = unionId;
    }

    public String getUnionId(){
        return unionId;
    }
    public void setXcxOpenid(String xcxOpenid){
        this.xcxOpenid = xcxOpenid;
    }

    public String getXcxOpenid(){
        return xcxOpenid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("phone", getPhone())
            .append("wechar", getWechar())
            .append("headImage", getHeadImage())
            .append("nickName", getNickName())
            .append("realName", getRealName())
            .append("openid", getOpenid())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .append("expireTime", getExpireTime())
            .append("saleType", getSaleType())
            .append("cityName", getCityName())
            .append("areaName", getAreaName())
            .append("schoolName", getSchoolName())
            .append("profitPrice", getProfitPrice())
            .append("achievement", getAchievement())
            .append("achievementSettled", getAchievementSettled())
            .append("unionId", getUnionId())
            .append("xcxOpenid", getXcxOpenid())
            .toString();
    }
}
