package com.miaxis.coach.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.miaxis.coach.mapper.CoachInfoMapper;
import com.miaxis.common.core.domain.entity.CoachInfo;
import com.miaxis.coach.service.ICoachInfoService;

/**
 * 教练用户Service业务层处理
 *
 * @author miaxis
 * @date 2022-05-10
 */
@Service
public class CoachInfoServiceImpl extends ServiceImpl<CoachInfoMapper, CoachInfo> implements ICoachInfoService {
    @Autowired
    private CoachInfoMapper coachInfoMapper;

    /**
     * 查询教练用户列表
     *
     * @param coachInfo 教练用户
     * @return 教练用户
     */
    @Override
    public List<CoachInfo> selectCoachInfoList(CoachInfo coachInfo){
        return coachInfoMapper.selectCoachInfoList(coachInfo);
    }
}
